summaryrefslogtreecommitdiffstats
path: root/system/qemu-kvm
diff options
context:
space:
mode:
Diffstat (limited to 'system/qemu-kvm')
-rw-r--r--system/qemu-kvm/README16
-rw-r--r--system/qemu-kvm/qemu-kvm.SlackBuild122
-rw-r--r--system/qemu-kvm/qemu-kvm.info10
-rw-r--r--system/qemu-kvm/slack-desc19
4 files changed, 167 insertions, 0 deletions
diff --git a/system/qemu-kvm/README b/system/qemu-kvm/README
new file mode 100644
index 0000000000..99222171d7
--- /dev/null
+++ b/system/qemu-kvm/README
@@ -0,0 +1,16 @@
+KVM (Kernel-based Virtual Machine) is a full virtualization solution
+for Linux on x86 hardware containing virtualization extensions
+(Intel VT or AMD-V). KVM requires QEMU-KVM to create and run virtual
+machines (e.g. Windows, Linux, BSD) under full system emulation or user
+mode emulation. QEMU-KVM is a slightly modified QEMU designed to work
+with KVM kernel modules.
+
+KVM consists of a loadable kernel module, 'kvm.ko', that provides the
+core virtualization infrastructure and a processor specific module,
+'kvm-intel.ko' or 'kvm-amd.ko'. For improved performance QEMU-KVM also
+works with 'virtio' modules. Slackware provides pre-built 'kvm' and
+'virtio' modules that work with this package.
+
+After package installation, add a 'kvm' group and add a user to the
+'kvm' group and re-login. Don't forget to load the 'kvm-intel' or
+'kvm-amd' module depending on your processor.
diff --git a/system/qemu-kvm/qemu-kvm.SlackBuild b/system/qemu-kvm/qemu-kvm.SlackBuild
new file mode 100644
index 0000000000..b7701d0482
--- /dev/null
+++ b/system/qemu-kvm/qemu-kvm.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/sh
+
+# Slackware build script for qemu-kvm
+
+# Written by Stu Miller <slackbuilds@go4it2day.com>
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=qemu-kvm
+VERSION=${VERSION:-0.12.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# The script is set to build all possible Linux Target CPU emulators by default.
+# Available Linux Target CPUs for full system emulation are:
+# i386 x86_64 arm cris m68k microblaze mips mipsel mips64 mips64el
+# ppc ppcemb ppc64 sh4 sh4eb sparc sparc64
+# Available Linux Target CPUs for user mode emulation are:
+# i386 x86_64 alpha arm armeb cris m68k microblaze mips mipsel
+# ppc ppc64 ppc64abi32 sh4 sh4eb sparc sparc64 sparc32plus
+#
+# To reduce compile time and package size modify the BUILD ARCH line below
+# from BUILD_ARCH="" to BUILD_ARCH="x86_64" if you DO NOT need to emulate
+# all target CPUs. This works fine for 32-bit or 64-bit QEMU-KVM hosts
+# providing full system emulation supporting Linux, BSD and Windows guests.
+BUILD_ARCH=""
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+# Needed to build man pages if build is ran from su
+export PATH=$PATH:/usr/share/texmf/bin
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# This translates the possible targets into the correct format for configure
+TARGETS="$(for i in $BUILD_ARCH ; do printf "$i-softmmu " ; done)"
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --enable-mixemu \
+ --audio-drv-list=oss,alsa,sdl,esd \
+ --enable-system \
+ --target-list="$TARGETS"
+
+make \
+ mandir=/usr/man \
+ docdir=/usr/doc/$PRGNAM-$VERSION
+make install \
+ mandir=/usr/man \
+ docdir=/usr/doc/$PRGNAM-$VERSION \
+ DESTDIR=$PKG
+cp -a kvm/kvm_stat $PKG/usr/bin/
+
+mkdir -p $PKG/lib/udev/rules.d/
+cat kvm/scripts/65-kvm.rules > $PKG/lib/udev/rules.d/65-kvm.rules
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ find . -type f -exec chmod 0644 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a kvm/scripts $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/qemu-kvm/qemu-kvm.info b/system/qemu-kvm/qemu-kvm.info
new file mode 100644
index 0000000000..e625650ef0
--- /dev/null
+++ b/system/qemu-kvm/qemu-kvm.info
@@ -0,0 +1,10 @@
+PRGNAM="qemu-kvm"
+VERSION="0.12.2"
+HOMEPAGE="http://www.linux-kvm.org/page/Main_Page"
+DOWNLOAD="http://downloads.sourceforge.net/project/kvm/qemu-kvm/0.12.2/qemu-kvm-0.12.2.tar.gz"
+MD5SUM="8e6f3666de038c2ee11cebc45ffa89e4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Stu Miller"
+EMAIL="slackbuilds@go4it2day.com"
+APPROVED="dsomero"
diff --git a/system/qemu-kvm/slack-desc b/system/qemu-kvm/slack-desc
new file mode 100644
index 0000000000..669db40686
--- /dev/null
+++ b/system/qemu-kvm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------------|
+qemu-kvm: qemu-kvm (Stable branch - KVM requires QEMU)
+qemu-kvm:
+qemu-kvm: KVM (Kernel-based Virtual Machine) is a full virtualization solution
+qemu-kvm: for Linux on x86 hardware containing virtualization extensions
+qemu-kvm: (Intel VT or AMD-V).
+qemu-kvm:
+qemu-kvm: QEMU_KVM is a slightly modified QEMU designed to work with KVM
+qemu-kvm: kernel modules.
+qemu-kvm:
+qemu-kvm:
+qemu-kvm: